Page MenuHomePhabricator

[Workshop] How can I get ORES for my wiki?
Closed, ResolvedPublic

Description

Etherpad: https://etherpad.wikimedia.org/p/WikimaniaHackathon2017-HowCanIGetORES

Introduction

ORES is a machine prediction web service. You give it revisions and it will tell you if the edit that created it is likely to be vandalism, if a new draft article about an engineering firm is likely to be spam, or when the article about Biology got to be such high quality.

ORES is both an experimental new technology and a high capacity, production service.

At this hackathon, we're looking to extend support to new wikis and languages (currently 30 languages and 35 wikis -- over 70 different prediction models!). We're also working on some experimental new models -- e.g. a model that would route new article creations to subject-specific new page review backlogs (e.g. biographies about political activists & politicians). We're also doing a documentation sprint.

How to get ORES for your wiki

One of our goals in the ORES project is to make sure that every wiki can have access to advanced quality predictions for fighting vandalism and measuring content growth. In this session, we'll be giving an overview of what ORES is and what it currently supports. Then we'll be answering questions about what it takes to make ORES work for *your* wiki.

The goal of this session is to socialize ORES to developers, identify new collaborators, and create tasks for setting up new models in new wikis.

https://www.mediawiki.org/wiki/ORES/Get_support

Hackathon tasks

  • Fix Chinese language support (T109366)
  • Routing new articles to subject-specific backlogs (T123327)
  • Predicting newcomer potential (T155756)
  • Quick keys for Wikilabels (T162109)
  • Mobile support for Wikilabels (T105518)
  • Major edit detector (T156385)

Contact

Event Timeline

Halfak created this task.Jul 7 2017, 8:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 7 2017, 8:36 PM

One idea that came up is designing a tool to visualize the quality of articles historically. It would be cool if we could make something that looked like https://commons.wikimedia.org/wiki/File:Enwiki.biology.monthly_wp10.svg for any article.

Halfak triaged this task as High priority.Jul 20 2017, 3:06 PM
Halfak renamed this task from ORES @ the Wikimania Hackathon to How can I get ORES in my wiki?.Aug 4 2017, 3:44 PM
Halfak renamed this task from How can I get ORES in my wiki? to [Workshop] How can I get ORES in my wiki?.
Halfak assigned this task to awight.
Halfak updated the task description. (Show Details)
Halfak moved this task from Backlog to Proposed Sessions on the Wikimania-Hackathon-2017 board.
Halfak updated the task description. (Show Details)
Halfak added a subscriber: awight.
Halfak updated the task description. (Show Details)Aug 4 2017, 3:53 PM
Halfak updated the task description. (Show Details)
awight renamed this task from [Workshop] How can I get ORES in my wiki? to [Workshop] How can I get ORES for my wiki?.Aug 7 2017, 10:04 PM
MtDu added a subscriber: MtDu.Aug 9 2017, 1:52 PM
Halfak updated the task description. (Show Details)Aug 9 2017, 4:51 PM
awight closed this task as Resolved.Aug 10 2017, 7:28 PM